Subject: [AVTCORE] [Editorial Errata Reported] RFC5764 (4873)

From: RFC Errata System <[email-masked]>
Date: Wed, 30 Nov 2016 07:25:39 -0800 (PST)

The following errata report has been submitted for RFC5764,
"Datagram Transport Layer Security (DTLS) Extension to Establish Keys for the Secure Real-time Transport Protocol (SRTP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5764&eid=4873

--------------------------------------
Type: Editorial
Reported by: Peter Wu <[email-masked]>

Section: 5.1.1

Original Text
-------------
When the mechanism described in this document is in
effect, this is modified so that data written by upper-level protocol
clients of DTLS is assumed to be RTP/RTP and is encrypted using SRTP
rather than the standard TLS record encoding.

Corrected Text
--------------
When the mechanism described in this document is in
effect, this is modified so that data written by upper-level protocol
clients of DTLS is assumed to be RTP/RTCP and is encrypted using SRTP
rather than the standard TLS record encoding.

Notes
-----
Section 5.1 notes that RTP or RTCP can be sent over the channel, so "RTP/RTP" should be "RTP/RTCP".

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5764 (draft-ietf-avt-dtls-srtp-07)
--------------------------------------
Title               : Datagram Transport Layer Security (DTLS) Extension to Establish Keys for the Secure Real-time Transport Protocol (SRTP)
Publication Date    : May 2010
Author(s)           : D. McGrew, E. Rescorla
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG